View Issue Details

IDProjectCategoryView StatusLast Update
0018394MediaMonkey 5Generalpublic2021-11-11 21:19
Reporterdrakinite Assigned To 
PriorityurgentSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0.2 
Target Version5.0.2Fixed in Version5.0.2 
Summary0018394: (Performance) Use asJSON instead of fastForEach in Dropdown._setAutoWidth
DescriptionAs discussed offline, the fastForEach method is relatively slow even for StringLists, and looping through the StringList's JSON instead is much faster. The _setAutoWidth method in dropdown.js can be responsible for >100ms of startup time on slower computers, so switching to a native loop will be faster.
TagsNo tags attached.
Fixed in build2509

Relationships

related to 0018338 closedLudek Major 'layout shifting' performance leak on MM startup 
related to 0018430 closedpetr Drop-downs fail to show (regression) 
related to 0018395 assignedpetr Optimize shared lists access 
related to 0018426 closedLudek Opening "Media Properties" crashes (regression 2508) 

Activities

drakinite

2021-10-07 01:42

developer   ~0065010

Fixed in 2508

michal

2021-10-08 06:24

developer   ~0065039

Last edited: 2021-10-08 08:04

View 2 revisions

Fix caused regression, Convert format dialog now throws exception during opening. Also Options - Layout.

michal

2021-10-08 08:28

developer   ~0065042

Regressions fixed. When testing, go through all possible places with dropdowns.

peke

2021-10-08 17:07

developer   ~0065056

Verified 2508

Tested on all dropdowns I have found.

Left resolved till 5.0.2 is released and no regressions are found.

peke

2021-10-08 21:22

developer   ~0065079

Retested with updated 2508

Still not found any regressions.

Ludek

2021-10-15 10:51

developer   ~0065226

Replaced by list.getAllValues in 2509 so please re-test ( i.e. 0018395 - item 2)

peke

2021-10-16 21:08

developer   ~0065263

Verified 2510

Close after 5.0.2 release and no regression pop up.

peke

2021-11-11 21:19

developer   ~0065864

Re verified 2518

No regressions popped up.